Commit 34b666ac authored by Philip Carns's avatar Philip Carns

stub in subdirs for platforms and test cases

parent edfe5fab
#!/bin/bash
if [ "$#" -ne 3 ]; then
echo "Usage: run-all.sh <darshan_install_path> <tmp_path> <platform>"
echo "Example: ./run-all.sh ~/darshan-install /tmp/test ws"
echo "Usage: run-all.sh <darshan_install_path> <tmp_path> <platform>" 1>&2
echo "Example: ./run-all.sh ~/darshan-install /tmp/test ws" 1>&2
exit 1
fi
......@@ -13,7 +13,7 @@ export DARSHAN_PLATFORM=$3
# check darshan path
if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install."
echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2
exit 1
fi
......@@ -23,18 +23,34 @@ if [ ! -d $DARSHAN_TMP ]; then
fi
if [ ! -d $DARSHAN_TMP ]; then
echo "Error: unable to find or create $DARSHAN_TMP"
echo "Error: unable to find or create $DARSHAN_TMP" 1>&2
exit 1
fi
if [ ! -w $DARSHAN_TMP ]; then
echo "Error: unable to write to $DARSHAN_TMP"
echo "Error: unable to write to $DARSHAN_TMP" 1>&2
exit 1
fi
# make sure that we have sub-scripts for the specified platform
if [ ! -d $DARSHAN_PLATFORM ]; then
echo "Error: unable to find scripts for platform $DARSHAN_PLATFORM"
echo "Error: unable to find scripts for platform $DARSHAN_PLATFORM" 1>&2
exit 1
fi
# set up c compiler for this platform
DARSHAN_CC=`$DARSHAN_PLATFORM/setup-cc.sh`
if [ $? != 0 ]; then
exit 1
fi
export DARSHAN_CC
for i in `ls test-cases/*.sh`; do
$i
if [ $? != 0 ]; then
echo "Error: failed to execute test case $i"
exit 1
fi
done
exit 0
#!/bin/bash
$DARSHAN_CC test-cases/src/mpi-io-test.c -o $DARSHAN_TMP/mpi-io-test
if [ $? != 0 ]; then
echo "Error: failed to compile mpi-io-test" 1>&2
exit 1
fi
exit 0
This diff is collapsed.
#!/bin/bash
# General notes
#######################
# Script to set up the C compiler to use for subsequent test cases. This
# script may load optional modules (as in a Cray PE), set LD_PRELOAD
# variables (as in a dynamically linked environment), or generate mpicc
# wrappers (as in a statically linked environment).
# The script should produce a single string to stdout, which is the command
# line to use for invoking the C compiler
# Notes specific to this platform (ws)
########################
# This particular version of the setup-cc script assumes that mpicc is
# present in the path already, and that the C compiler to use for
# subsequent tests should be generated from this using darshan-gen-cc.pl.
$DARSHAN_PATH/bin/darshan-gen-cc.pl `which mpicc` --output $DARSHAN_TMP/mpicc
if [ $? != 0 ]; then
echo "Error: failed to generate c compiler." 1>&2
exit 1
fi
echo $DARSHAN_TMP/mpicc
exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment